# build release

labels:
  platform: linux/amd64
    
steps:
  compile:
    when:
      event: [tag,manual]
    image: alpine:latest
    commands:
      - apk update
      - apk add --no-cache bash build-base
      - make static
      - file dicepwgen_static
      - mv dicepwgen_static dicepwgen-linux-amd64

  release:
    image: alpine:latest
    when:
      event: [tag,manual]
    environment:
      DEPLOY_TOKEN:
        from_secret: DEPLOY_TOKEN
    commands:
      - apk update
      - apk add --no-cache bash httpie jq git
      - .woodpecker/release.sh dicepwgen-linux-amd64
